PhycoBank - task #7532

Final creation of Registrations for the production database
07/05/2018 08:27 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: Import Estimated time: 0:00 hour
Target version: Registry prototype available

Description

For the phycobank production database the Registrations need to be created from the TaxonName extensions.
The according functionality has been implemented in #7055.

Running the Registration creation process fails with the production database due to a couple of data problems:

History
#1 - 07/05/2018 08:27 AM - Andreas Kohlbecker
1.

Ich habe Schwierigkeiten mit folgenden Namen:
Ich habe Schwierigkeiten mit folgenden Namen:

bc68aae3-cc6e-4931-87a4-057e70f15d4e  Chroomonas sp. 1 Hoef-Emden  {"date":"2018-05-XX","regld":100143,"office":"PhycoBank
Berlin","formNumber":null}
7ac34a69-dd7a-4f30-abe2-a652fdc18246 Chroomonas sp. 2 Hoef-Emden  {"date":"2018-05-XX","regld":100142,"office":"PhycoBank
Berlin","formNumber":null}

die Daten 2018-05-XX kann ich nicht parsen, ich importiere sie erstmal als 2018-05-01, Das musst du spéter von Hand anpassen.

select n.uuid, n.titleCache, e.value from TaxonName n
join TaxonName_Extension n_e on n.id = n_e.TaxonName_id
join Extension e on n_e.extensions_id = e.id
where e.value like '%2018-05-XX%'

select * from Extension e
where e.value like '%2018-05-XX%'

#2 - 07/05/2018 08:30 AM - Andreas Kohlbecker

IAPT Registration for Surirella anassae Cholnoky ...

[phycobank_production] 07:56:11,267 ERROR [main] [eu.et.cd.da.RegistrationRequiredDatalnserter] - Error mapping
json from extension to IAPTRegData
com. fasterxml. jackson.databind.exc.InvalidFormatException: Can not construct instance of java.lang.Integer fro
m String value '100022,': not a valid Integer value
at [Source: {"date":"2017-03-29","regId":"100022,"office":"PhycoBank Berlin"}; line: 1, column: 21] (through
reference chain: eu.etaxonomy.cdm.dataInserter.IAPTRegData["regId"])

minor issues:

[phycobank_production] 07:56:07,685 DEBUG [main] [eu.et.cd.da.RegistrationRequiredDatalnserter] - IAPT Registra
tion for Chroomonas sp. 1 Hoef-Emden ...

[phycobank_production] 07:56:07,686 ERROR [main] [eu.et.cd.da.RegistrationRequiredDatalnserter] - Missing TypeD

esignation Citation in Phycobank data

[phycobank_production] 07:56:07,689 DEBUG [main] [eu.et.cd.da.RegistrationRequiredDatalInserter] - IAPT Registra
tion for Chroomonas sp. 2 Hoef-Emden ...
[phycobank_production] 07:56:07,690 ERROR [main] [eu.et.cd.da.RegistrationRequiredDatalnserter] - Missing TypeD

esignation Citation in Phycobank data

#3 - 07/05/2018 08:38 AM - Andreas Kohlbecker

The issue in the Surirella anassae Cholnoky Extension is fixed in the db.
https://dev.e-taxonomy.eu/redmine/issues/7055

#4 - 07/05/2018 08:48 AM - Andreas Kohlbecker

[phycobank_production] 08:42:23,850 DEBUG [main] [eu.et.cd.da.RegistrationRequiredDatalInserter] - IAPT Registra
tion for Surirella oliffii Cholnoky ...

[phycobank_production] 08:42:23,852 DEBUG [main] [eu.et.cd.da.RegistrationRequiredDatalnserter] - skipping name
published in older referece

[phycobank_production] 08:42:23,852 ERROR [main] [eu.et.cd.da.RegistrationRequiredDatalnserter] - Missing TypeD

esignation Citation in Phycobank data

#5 - 07/05/2018 08:52 AM - Andreas Kohlbecker
- File 2018-07-05-phycobank-registration-creation.log added

Adding logfile of successful Registration creation

#6 - 07/05/2018 06:20 PM - Andreas Kohlbecker

bc68aae3-cc6e-4931-87a4-057e70f15d4e Chroomonas sp. 1 Hoef-Emden {"date":"2018-05-XX","regld":100143,"office":"PhycoBank
Berlin","formNumber":null}
7ac34a69-dd7a-4f30-abe2-a652fdc18246 Chroomonas sp. 2 Hoef-Emden {"date":"2018-05-XX","regld":100142,"office":"PhycoBank
Berlin","formNumber":null}

need to be unbublished!!!

#7 - 07/05/2018 06:24 PM - Andreas Kohlbecker

Andreas Kohlbecker wrote:
bc68aae3-ccb6e-4931-87a4-057e70f15d4e Chroomonas sp. 1 Hoef-Emden {"date":"2018-05-XX","regld":100143,"office":"PhycoBank
Berlin","formNumber":null}
7ac34a69-dd7a-4f30-abe2-a652fdc18246 Chroomonas sp. 2 Hoef-Emden {"date":"2018-05-XX","regld":100142,"office":"PhycoBank

Berlin","formNumber":null}

need to be unbublished!!!

Fixed in testserver cdm_phycobank_production

#8 - 09/21/2018 08:29 AM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100

Files

2018-07-05-phycobank-registration-creation.log 272 KB 07/05/2018 Andreas Kohlbecker
